View Issue Details

IDProjectCategoryView StatusLast Update
0000173Bacula-Webfeaturepublic2017-08-20 08:42
ReporterEric GriepsmaAssigned Todavide 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version7.0.3 
Target Version8.0.0-rc1Fixed in Version8.0.0-rc1 
Summary0000173: Choose different period for Backup job report
DescriptionWe use a 2 weeks backup schedule, but the overview is default set to a WEEK. This is not editable, other than hard code it in the file backupjob-report.php. It would be nice to either make it configurable in the configfile
TagsNo tags attached.

Activities

jhelfman

2015-07-08 05:58

reporter   ~0000490

I would like this as well, and just sent a note asking about this. I would like to update it to be 30 days, where I am. Is this the only file that needs to be updated? Would you mind sharing which content you needed to change to get this to stick to the new value?
Thanks!

davide

2015-07-09 17:44

manager   ~0000491

If you need to change from 7 days (by default) to another value, you'll have to change it only in backupjob-report.php but in several places.
It's a bit tricky to change the period with the current code.

As 7.1.0 is coming soon, let me implement this feature if you don't mind.

Thanks for your patience.

Best regards

davide

2016-04-01 14:49

manager   ~0000518

Last edited: 2016-04-01 14:56

View 2 revisions

This feature needs a lot of change in the code :(

As 7.1.0 is just "around the corner", I'll implement it a future release.

Thanks for your comprehension and your patience.

davide

2017-08-12 10:37

manager   ~0000622

Hello,
I'm implementing this feature with periods listed below
 - Last week (last 7 days)
 - Last 2 weeks (last 14 days)
 - Last month (last 30 days)
It will be available in 8.0.0-RC1

davide

2017-08-19 09:59

manager   ~0000626

Last edited: 2017-08-19 10:00

View 2 revisions

Your feature request is now fully working on my current dev branch (see screenshots attached).
Please get back to me with your feedback

It will be included in next 8.0.0-RC1 version.

Best regards

davide

2017-08-19 09:59

manager  

davide

2017-08-19 10:00

manager  

davide

2017-08-20 08:42

manager   ~0000627

This feature will be available in 8.0.0-RC1

Issue History

Date Modified Username Field Change
2015-07-06 14:02 Eric Griepsma New Issue
2015-07-08 05:58 jhelfman Note Added: 0000490
2015-07-09 17:44 davide Note Added: 0000491
2016-03-21 13:56 davide Assigned To => davide
2016-03-21 13:56 davide Status new => acknowledged
2016-03-21 13:57 davide Product Version => 7.0.3
2016-03-21 13:57 davide Target Version => 7.1.0
2016-04-01 14:49 davide Note Added: 0000518
2016-04-01 14:49 davide Target Version 7.1.0 =>
2016-04-01 14:56 davide Note Edited: 0000518 View Revisions
2017-05-18 15:22 davide Target Version => 8.0.0-rc1
2017-08-12 10:37 davide Note Added: 0000622
2017-08-12 10:38 davide Summary We use a 2 weeks backup schedule, but the overview is for a week. It can not be changed on the web or by config => Choose different period for Backup job report
2017-08-19 09:59 davide Status acknowledged => feedback
2017-08-19 09:59 davide Note Added: 0000626
2017-08-19 09:59 davide File Added: Screen Shot 2017-08-19 at 09.58.02.png
2017-08-19 10:00 davide File Added: Bacula Web Backup job report.png
2017-08-19 10:00 davide Note Edited: 0000626 View Revisions
2017-08-20 08:42 davide Status feedback => resolved
2017-08-20 08:42 davide Resolution open => fixed
2017-08-20 08:42 davide Fixed in Version => 8.0.0-rc1
2017-08-20 08:42 davide Note Added: 0000627